package sun.java2d.loops;

import java.awt.Rectangle;
import sun.java2d.pipe.Region;
import sun.java2d.SurfaceData;

public final class CustomComponent
{
    public CustomComponent() {
    }
    
    public static void register() {
        Class<Object> clazz = CustomComponent.class;
        GraphicsPrimitiveMgr.register(new GraphicsPrimitive[] { new GraphicsPrimitiveProxy(clazz, "OpaqueCopyAnyToArgb", Blit.methodSignature, Blit.primTypeID, SurfaceType.Any, CompositeType.SrcNoEa, SurfaceType.IntArgb), new GraphicsPrimitiveProxy(clazz, "OpaqueCopyArgbToAny", Blit.methodSignature, Blit.primTypeID, SurfaceType.IntArgb, CompositeType.SrcNoEa, SurfaceType.Any), new GraphicsPrimitiveProxy(clazz, "XorCopyArgbToAny", Blit.methodSignature, Blit.primTypeID, SurfaceType.IntArgb, CompositeType.Xor, SurfaceType.Any) });
    }
    
    public static Region getRegionOfInterest(SurfaceData surfaceData, SurfaceData surfaceData2, Region r, int n, int n2, int x, int y, int w, int h) {
        Region intersection = Region.getInstanceXYWH(x, y, w, h).getIntersection(surfaceData2.getBounds());
        Rectangle bounds = surfaceData.getBounds();
        bounds.translate(x - n, y - n2);
        Region region = intersection.getIntersection(bounds);
        if (r != null) {
            region = region.getIntersection(r);
            return region;
        }
        return region;
    }
}
